package com.printhub.printhub.model;

import java.util.ArrayList;
import java.util.List; 

public class Breadcrum {

    public List<BreadcrumbItem> breadcrumb = new ArrayList<>();

    public void addItem(String label, String dataKey, String url) {
        BreadcrumbItem item = new BreadcrumbItem(label, url, dataKey);
        breadcrumb.add(item);
    }

    public List<BreadcrumbItem> getBreadcrumb() {
        return breadcrumb;
    }

    public static class BreadcrumbItem {
        private String label;
        private String url;
        private String dataKey;

        public BreadcrumbItem(String label, String url, String dataKey) {
            this.label = label;
            this.url = url;
            this.dataKey = dataKey;
        }

        public String getLabel() {
            return label;
        }

        public String getUrl() {
            return url;
        }

        public String getDataKey() {
            return dataKey;
        }
    }
}
